Create
curl --request POST \
--url https://api.qa.sima.ag/api/v3/third_party/silobags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"{\n \"code\": \"SNWP-11578\",\n \"external_code\": \"snwp-11578-{{$timestamp}}\",\n \"date\": \"2026-09-25\",\n \"latitude\": \"-34.6037\",\n \"longitude\": \"-58.3816\",\n \"silobag_longitude\": 120.5,\n \"semaphore\": 1,\n \"rebagged\": false,\n \"observations\": \"SNWP-11578 Postman create\",\n \"silobag_campaigns\": [\n {\n \"campaign_id\": {{campaign_id}},\n \"quantity_tn\": 12.5,\n \"grain_humidity_percent\": 13.5,\n \"grain_quality_semaphore\": 1,\n \"observations\": \"Campaign row\"\n }\n ]\n}"
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/silobags"
payload = "{
\"code\": \"SNWP-11578\",
\"external_code\": \"snwp-11578-{{$timestamp}}\",
\"date\": \"2026-09-25\",
\"latitude\": \"-34.6037\",
\"longitude\": \"-58.3816\",
\"silobag_longitude\": 120.5,
\"semaphore\": 1,
\"rebagged\": false,
\"observations\": \"SNWP-11578 Postman create\",
\"silobag_campaigns\": [
{
\"campaign_id\": {{campaign_id}},
\"quantity_tn\": 12.5,
\"grain_humidity_percent\": 13.5,
\"grain_quality_semaphore\": 1,
\"observations\": \"Campaign row\"
}
]
}"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify('{\n "code": "SNWP-11578",\n "external_code": "snwp-11578-{{$timestamp}}",\n "date": "2026-09-25",\n "latitude": "-34.6037",\n "longitude": "-58.3816",\n "silobag_longitude": 120.5,\n "semaphore": 1,\n "rebagged": false,\n "observations": "SNWP-11578 Postman create",\n "silobag_campaigns": [\n {\n "campaign_id": {{campaign_id}},\n "quantity_tn": 12.5,\n "grain_humidity_percent": 13.5,\n "grain_quality_semaphore": 1,\n "observations": "Campaign row"\n }\n ]\n}')
};
fetch('https://api.qa.sima.ag/api/v3/third_party/silobags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/silobags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('{
"code": "SNWP-11578",
"external_code": "snwp-11578-{{$timestamp}}",
"date": "2026-09-25",
"latitude": "-34.6037",
"longitude": "-58.3816",
"silobag_longitude": 120.5,
"semaphore": 1,
"rebagged": false,
"observations": "SNWP-11578 Postman create",
"silobag_campaigns": [
{
"campaign_id": {{campaign_id}},
"quantity_tn": 12.5,
"grain_humidity_percent": 13.5,
"grain_quality_semaphore": 1,
"observations": "Campaign row"
}
]
}'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Version 3 > SIlo Bag
Create
Create silobag Third Party v3 (SNWP-11578). Requires silobag_campaigns with campaign_id and quantity_tn (tons). Idempotent by external_code (200 on retry).
POST
/
api
/
v3
/
third_party
/
silobags
Create
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Body
application/json
The body is of type object.
Response
200 - application/json
Successful response

